<div fxLayout="column" class="main" [ngClass]="{'clickable': dailyMenu !== undefined && dailyMenu.orderId > -1}" (click)="tileRedirectToWeek()">

  <h3 [ngClass]="{'currentMonth': date.getMonth() === viewMonth.getMonth(), 'otherMonth': date.getMonth() !== viewMonth.getMonth()}">{{ date.getDate() }}</h3>

  <div *ngIf="dailyMenu">

    <div *ngIf="dailyMenu.orderId > -1">

      <div class="foodsList">
        <div *ngFor="let food of dailyMenu.foods">
          <div *ngIf="food.quantity > 0">
            <div fxLayout="row">
              <div fxFlex="90%" class="food">
                <i [class]="customIcons.getCustomIcon(food.foodType)"></i>
                <span mdTooltip="{{food.description}}" mdTooltipPosition="above">{{food.name}}</span>
              </div>
              <div fxFlex="10%" class="quantity">
                <span>{{food.quantity}}</span>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div fxLayout="row" class="total">
        <div fxFlex="80%">
          <h3>Total</h3>
        </div>
        <div fxFlex="20%" class="right-text">
          <h3>{{ dailyTotal | number:'1.2' }}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></h3>
        </div>
      </div>
    </div>

    <button md-button color="primary" *ngIf="dailyMenu.orderId === -1 && !dailyMenu.final" class="orderButton" (click)="buttonRedirectToWeek()">Order</button>

  </div>

</div>
